*, *:before, *:after {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

body {
  left: 0;
  right: 0;
  margin: auto;
}

a, aside, .overlay, body {
  transition: all .25s ease;
}

.slideButton, .dosearch {
  position: absolute;
  display: block;
  text-align: center;
  width: rem(40px);
  height: rem(40px);
  top: 10px;
  z-index: 31;

  i {
    vertical-align: sub;
  }
}

.slideButton {
  left: 10px;
}

.dosearch {
  right: 10px;
  background: darken($main, 5%);
  border-radius: rem(3px);
}

.icon-menu {
  display: block;
  cursor: pointer;
  width: auto;
  height: 100%;
  border-radius: rem(3px);
  background: darken($main, 5%);
  font-size: 1.5rem;
  color: $sec;
}

.overlay {
  cursor: pointer;
}

aside {
  position: fixed;
  height: 163px;
  width: 100%;
  bottom: -100%;
  background: $blackBase;
  z-index: 20;
  box-shadow: inset -10px -1px 15px -9px rgba(black, .5);

  li {
    margin: 0;
    list-style-type: none;
  }

  ul {
    margin: 0;
    padding: 0;
  }

  #topmenu {
    background-color: $main;
    border: 2px solid $main;
    @include clearfix();

    ul {
      @include column(1.3/2);

      @include below(1000px) {
        @include column(2/2);
      }

      &:last-child {
        @include column(.7/2);
        display: none;
        text-align: right;

        li {
          &:first-child {
            background: transparent;

            span {
              background: transparent;
              border-radius: 0;
              color: white;
              width: 45px;
            }
          }

          &:nth-child(2) {
            padding: {
              left: 20px;
              right: 20px;
            };
          }

          &:nth-child(3) {
            margin-right: -10px;
            padding: {
              left: 10px;
              right: 20px;
            };
          }
        }

        @include above(1000px) {
          display: block;
        }
      }

      li {
        display: inline-block;
        transform: skewx(-20deg);
        padding: 3px 10px 6px 10px;
        background: $blackBase;
        // margin-left: -5px;

        &:first-child {
          background: #efb102;
          padding: 4px 10px 4px 20px;
          margin-left: -10px;

          span {
            border-radius: 100%;
            width: 20px;
            height: 20px;
            text-align: center;
            background-color: black;
            color: #efb102;
            font-weight: $font-weight-light;
          }
        }

        &:nth-child(3) {
          background: $mainLight;
          padding-right: 20px;
          padding-left: 20px;

          span {
            color: white;
          }
        }

        span {
          transform: skewx(20deg);
          display: block;
          @include mainFont($font-weight-extrabold);
          font-size: rem(13px);
          color: $mainLight;
        }

        &:nth-child(3), 
        &:nth-child(4) {
          @include below($cut) {
            display: none;
          }
        }
      }
    }
  }

  nav {
    ul {
      padding: 10px 0 0 10px;
      float: left;
      margin-right: 80px;

      // clear both
      .counter-menu {
        color: $mainLight;
        font-weight: $font-weight-extrabold;
        margin-right: 4px;
      }

      a {
        width: 100%;
        cursor: pointer;
        text-decoration: none;
        @include mainFont($font-weight-light);
        color: #b3b3b1;

        &:hover {
          background: $mainHover;
        }
      }
    }
  }

  &.slide {
    bottom: 0;
  }
}


.slideButton.slide {
  pointer-events: none;
}

.overlay {
  position: fixed;
  width: 100%;
  height: 100%;
  bottom: 0;
  left: 0;
  pointer-events: none;
  background: transparent;
  z-index: 30;

  &.slide {
    pointer-events: auto;
    bottom: 162px;
    background: rgba(black, .6);
  }
}
